﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewUserDb(engine *xorm.Engine) dao.UserDao {
	return &UserDb{Db: engine}
}

type UserDb struct {
	Db *xorm.Engine
}

func (p UserDb) UserGetOneByPhone(phone int) (*model.User, error) {
	var user *model.User
	has, err := p.Db.Where("phone = ?", phone).Get(user)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, zhios_order_relate_logx.Error("未查询到相关用户记录")
	}
	return user, nil
}

func (p UserDb) UserGetOneById(id int64) (*model.User, error) {
	var user *model.User
	_, err := p.Db.Where("phones = ?", id).Get(&user)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return user, nil
}
